Start error: nginx: [emerg] https protocol requires SSL support

IssueIn the nginx.conf file, if we use the following directive. Add the ssl configuration, for examp...
Jun 11, 2020 Nginx Comments 0

Nginx configure error: the HTTP rewrite module requires the PCRE library

IssueWhen configure nginx 1.19.0, run the commands../configure --prefix=/opt/nginx-1.19.0But the fol...
Jun 09, 2020 Nginx Comments 0

Clear the content of a file from shell command

In Linux/Unix, there are several ways to clear the contents of the file with the shell command.> fil...
Jun 07, 2020 Linux Comments 0

Detect the execution is from CLI mode in PHP

In PHP, there are two ways to determine if the current invocation is from CLI.With php_sapi_name met...
Jun 05, 2020 PHP Comments 0

Convert gbk encoding to utf-8 after php curl

IssueI use curl to get the website content, but the encoding of this page is gbk. Some characters ar...
Jun 03, 2020 PHP cURL Comments 0

application-x-www-form-urlencoded post in php cURL

With application-x-www-form-urlencoded post in cURL, we should use http_build_query to generate URL-...
Jun 01, 2020 PHP cURL Comments 0

PHP configure error Package requirements (oniguruma) were not met

QuestionOn Linux/Mac systems, using PHP 7.4.6 to call mb_convert_encoding will cause a fatal error.E...
May 30, 2020 PHP Comments 0

PHP configure: error: Package requirements (libzip >= 0.11) were not met

QuestionWhen compiling php-7.4.6 on Linux, run the command ./configure --prefix=/opt/php-7.4.6 --ena...
May 28, 2020 PHP Comments 0

PHP 7.4 configure error : Package requirements (zlib) were not met

QuestionWhen compiling php-7.4.6 on Linux, run the command ./configure --prefix=/opt/php-7.4.6 --wit...
May 26, 2020 PHP Comments 0

PHP 7.4 configure error Package requirements (libcurl >= 7.15.5) were not met

QuestionWhen compiling php-7.4.6 on Linux, run the command ./configure --prefix=/opt/php-7.4.6 --wit...
May 24, 2020 PHP Comments 0